Subject: Re: rshd authentication
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 07 Aug 2002 10:21:46 -0700
Newsgroups: gmane.os.cygwin

Corinna Vinschen wrote:

> On Wed, Aug 07, 2002 at 01:10:02PM +0530, Anagani, Suresh wrote:
>
>> Hi,
>> I am having problem with rsh authentication.
>> I have cygwin installed on windows 2000 machine called raindeer.
>> And inet utils version is 1.3.2-19
>>
>> This is my hosts.equiv file contents...
>>
>> anaganis@RAINDEER /usr/doc/Cygwin
>> $ cat /etc/hosts.equiv
>> raindeer
>>
>> I tested from a CMD on raindeer.. rsh commands work without prompting for
>> password.
>> But it prompts for password if I do rlogin. Can someone tell me what am I
>> missing here?
>
>
> rlogin/rsh always ask for the password on interactive login.

That seems "different" , at least to what I was used to with HP-UX. 
Indeed there is no mention of this in the man page for rlogin except to say:

    If the remote host does not supporting Kerberos the standard
    Berkeley rhosts authorization mechanism is used.

There is no Cygwin man page for rhosts however looking at 
http://mirrors.ccs.neu.edu/cgi-bin/unixhelp/man-cgi?rhosts I find

    The rlogin program falls back to the standard password-based login
    procedure if the remote authentication fails.

Which would seem to suggest to me that if the remote authentication 
works then no password should be prompted for.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/